camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Willem Jiang <>
Subject Re: Camel Upgrade: Spring Integration
Date Thu, 22 Oct 2009 13:48:19 GMT
As you know camel has more than 70s components, and each component has 
lots of third part dependent files. There could be hundreds of third 
part files.
So we don't ship the third part file which isn't used by camel-core in 
the distribution kit to keep it small.

BTW, if you are using maven, it will help you to grab the file from the 
remote mvn repo and take care the dependency of third part jars :)


sub3 wrote:
> Thanks. Grabbing that file worked.
> I don't have that file anywhere within the downloaded
>; Do you know if there is anything else I need that
> isn't included in the zip file?
> Thanks.
> willem.jiang wrote:
>> Can you check your class path if it has the 
>> org.springframewor.integration-1.0.3.RELEASE.jar.
>> Otherwise you can download it from here[1]
>> [1] 
>> Willem
>> sub3 wrote:
>>> When upgrading to 2.0, I am getting a missing class
>>> org/springframework/integration/core/Message.
>>> I thought I had all the jars, am I missing one, or do I download that
>>> myself?  Which version is most compatible?
>>> Thanks.

View raw message